OSDN Git Service

trunk整理
[ultramonkey-l7/ultramonkey-l7-v3.git] / test / script / snmpagent / para-11-2.sh
diff --git a/test/script/snmpagent/para-11-2.sh b/test/script/snmpagent/para-11-2.sh
new file mode 100755 (executable)
index 0000000..ae317c9
--- /dev/null
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# set config file
+. ${SET_DEFAULT_CONF}
+\cp -f materials/para-11-2-l7vs.cf ${L7VSD_CONF_DIR}/l7vs.cf
+
+#Add Service
+$L7VSD
+if [ $? -ne 0 ]
+then
+        echo "Test failed: $L7VSD"
+        exit 1
+fi
+usleep 100000
+
+RET=`$L7VSADM -V | grep "log trap level"`
+EXPECT="log trap level                 warn"
+if [ "${RET}" != "${EXPECT}" ]
+then
+        echo "Test failed: $L7VSADM -V"
+        exit 1
+fi
+
+exit 0